Spis treści
Indeks 🔎︎

# Seek Statement

Określa pozycję następnego zapisu lub odczytu z pliku otwartego za pomocą instrukcji Open.

W przypadku plików otwartych w trybie Random instrukcja Seek określa numer kolejnego dostępnego rekordu.

W przypadku pozostałych plików instrukcja Seek określa pozycję bajtu dla następnej operacji.

### Składnia:

    Seek [#]filePos, {filePos|recordNum}

## Parameters:

fileNum: The data channel number used in the Open statement.

filePos, recordNum: Position for the next writing or reading. Position can be a number between 1 and 2,147,483,647. According to the file type, the position indicates the number of the record (files in the Random mode) or the byte position (files in the Binary, Output, Append or Input mode). The first byte in a file is position 1, the second byte is position 2, and so on.

### Kody błędów:

5 Nieprawidłowe wywołanie procedury

52 Nieprawidłowa nazwa pliku lub numer pliku

Tematy pokrewne

Open Statement

Seek function